Name:           fotowall
Version:        0.9
Release:        %mkrel 2
License:        GPL
Group:          Graphics
Summary:        a wallpaper generator
Source0:        71320-%{name}-%{version}.tar.xz
Source1:        %{name}.desktop
Source2:        %{name}.png
URL:            http://www.kde-apps.org/content/show.php/FotoWall?content=71320
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{_lib}qt4-devel
Requires:	%{_lib}qtsvg4
Requires:	%{_lib}qtxml4
Requires:	%{_lib}qtgui4 
Requires:	%{_lib}qtcore4
Obsoletes:	%name < %version


%description
FotoWall is a fun tool for creating graphics by mixing some of your favorite pictures 
in a nice and smooth high resolution composition.

The interface is intuitive:
- just push the 'help' or 'tutorial' buttons to get started
- drag multiple pictures inside fotowall
- use the red button on the lower rigt corner to resize the picture
- use the green button on the lower right corner to rotate the picture
- press the "del" button after selecting a picture to remove it from the composition
- move the mouse on the corners to change various colors in an extremely cool way
- PosteRazor Integration
- Live Video (Linux only, requires a Webcam)
- Export Wizard (Wallpaper, Image, PosteRazor, Print)
- XML file format
- Selection
- Perspective
- Exact Size Mode
- Sepia Effect
- CD/DVD Cover composition and printing (by Tanguy Arnaud)
- Rich Text (with extended editing)
- Glow effect (by Tanguy Arnaud)
- Properties configurable for all objects
- Extend load/save image types
- Perfect relative stacking
- Image Effects (by Tanguy Arnaud)
- Configuration Panel: right click on an image and edit properties
- Reflections, and really cool ones
- Mirror the photo by clicking on an axis [Alberto Scarpa]
- DoubleClick on a picture -> set it as background, and vice-versa [Alberto Scarpa]
- Stacking order [Superstoned]
- Export a single picture as-you-see-it on disk



%prep
%setup -q -n Fotowall-%{version}
sed -i -e "s/\.build/build/" %{name}.pro
sed -i -e "/scripts/d" -e "s@man\ \\\@man@" %{name}.pro
sed -i -e 's/linux\/videodev.h/libv4l1-videodev.h/' 3rdparty/videocapture/VideoDevice.h

%build
qmake
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%__mkdir_p %{buildroot}/%{_bindir}
%__install fotowall %{buildroot}/%{_bindir}

%__mkdir_p %{buildroot}/%{_datadir}/applications
%__install %{SOURCE1} %{buildroot}/%{_datadir}/applications

%__mkdir_p %{buildroot}/%{_datadir}/pixmaps
%__install %{SOURCE2} %{buildroot}/%{_datadir}/pixmaps

desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-Multimedia-Graphics" \
	--dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*



%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Oct 13 2013 billybot <billybot> 0.9-2pclos2013
- rebuild for 2013

* Thu Dec 10 2009 pcserver <pcserver at hush.com> 0.9-1pclos2010
- 0.9

* Mon Jul 27 2009 pcserver <pcserver at hush.com> 0.6.1-1pclos2009
- create

